curl -G https://api.mavioapp.com/v1/speaker-profiles \
-H "Authorization: Bearer mvo_live_abc123" \
-d limit=10 \
-d search=sarah
profiles = client.speaker_profiles.list(limit=10, search="sarah")
for profile in profiles.data:
print(f"{profile.name} — {profile.meeting_count} meetings, {profile.total_speaking_seconds}s total")
const { data: profiles } = await client.speakerProfiles.list({
limit: 10,
search: 'sarah',
});
profiles.forEach(p => {
console.log(`${p.name} — ${p.meeting_count} meetings, ${p.total_speaking_seconds}s total`);
});
{
"data": [
{
"id": "spk_a1b2c3d4e5",
"name": "Sarah Chen",
"email": "sarah@example.com",
"organization": "Acme Corp",
"meeting_count": 24,
"total_speaking_seconds": 18420,
"last_seen_at": "2026-04-10T14:47:32Z",
"created_at": "2026-01-15T09:00:00Z"
},
{
"id": "spk_f6g7h8i9j0",
"name": "Sarah Winters",
"email": "swinters@example.com",
"organization": null,
"meeting_count": 3,
"total_speaking_seconds": 2145,
"last_seen_at": "2026-04-05T16:30:00Z",
"created_at": "2026-03-20T11:00:00Z"
}
],
"pagination": {
"total": 2,
"limit": 10,
"offset": 0,
"has_more": false
}
}
Speaker Profiles
List speaker profiles
Retrieve a paginated list of speaker profiles recognized across your meetings.
GET
/
v1
/
speaker-profiles
curl -G https://api.mavioapp.com/v1/speaker-profiles \
-H "Authorization: Bearer mvo_live_abc123" \
-d limit=10 \
-d search=sarah
profiles = client.speaker_profiles.list(limit=10, search="sarah")
for profile in profiles.data:
print(f"{profile.name} — {profile.meeting_count} meetings, {profile.total_speaking_seconds}s total")
const { data: profiles } = await client.speakerProfiles.list({
limit: 10,
search: 'sarah',
});
profiles.forEach(p => {
console.log(`${p.name} — ${p.meeting_count} meetings, ${p.total_speaking_seconds}s total`);
});
{
"data": [
{
"id": "spk_a1b2c3d4e5",
"name": "Sarah Chen",
"email": "sarah@example.com",
"organization": "Acme Corp",
"meeting_count": 24,
"total_speaking_seconds": 18420,
"last_seen_at": "2026-04-10T14:47:32Z",
"created_at": "2026-01-15T09:00:00Z"
},
{
"id": "spk_f6g7h8i9j0",
"name": "Sarah Winters",
"email": "swinters@example.com",
"organization": null,
"meeting_count": 3,
"total_speaking_seconds": 2145,
"last_seen_at": "2026-04-05T16:30:00Z",
"created_at": "2026-03-20T11:00:00Z"
}
],
"pagination": {
"total": 2,
"limit": 10,
"offset": 0,
"has_more": false
}
}
Returns speaker profiles that have been identified and saved across your meetings. Speaker profiles allow Mavio to consistently identify the same person across different meetings, even on different platforms.
Number of profiles to return per page. Must be between 1 and 100.
Number of profiles to skip for pagination.
Filter profiles by name or email. Case-insensitive partial match.
Response
An array of speaker profile objects.
Show Speaker profile object
Show Speaker profile object
Unique speaker profile identifier (e.g.,
spk_a1b2c3d4e5).Display name of the speaker.
Email address if available.
Organization or company name if provided.
Number of meetings this speaker has appeared in.
Total speaking time across all meetings in seconds.
ISO 8601 timestamp of the speaker’s most recent meeting appearance.
ISO 8601 timestamp when the profile was created.
curl -G https://api.mavioapp.com/v1/speaker-profiles \
-H "Authorization: Bearer mvo_live_abc123" \
-d limit=10 \
-d search=sarah
profiles = client.speaker_profiles.list(limit=10, search="sarah")
for profile in profiles.data:
print(f"{profile.name} — {profile.meeting_count} meetings, {profile.total_speaking_seconds}s total")
const { data: profiles } = await client.speakerProfiles.list({
limit: 10,
search: 'sarah',
});
profiles.forEach(p => {
console.log(`${p.name} — ${p.meeting_count} meetings, ${p.total_speaking_seconds}s total`);
});
{
"data": [
{
"id": "spk_a1b2c3d4e5",
"name": "Sarah Chen",
"email": "sarah@example.com",
"organization": "Acme Corp",
"meeting_count": 24,
"total_speaking_seconds": 18420,
"last_seen_at": "2026-04-10T14:47:32Z",
"created_at": "2026-01-15T09:00:00Z"
},
{
"id": "spk_f6g7h8i9j0",
"name": "Sarah Winters",
"email": "swinters@example.com",
"organization": null,
"meeting_count": 3,
"total_speaking_seconds": 2145,
"last_seen_at": "2026-04-05T16:30:00Z",
"created_at": "2026-03-20T11:00:00Z"
}
],
"pagination": {
"total": 2,
"limit": 10,
"offset": 0,
"has_more": false
}
}
⌘I